class Loop4_LEER : public LOOP
{
    public:
        void exec(unsigned char t)
        {
        }
} loop4_LEER;

//Langsamer Loop, der ab und an alle Sensorwerte anzeigt:
class Loop4_Zeige_Sensorwerte : public LOOP
{
    public:
        Loop4_Zeige_Sensorwerte()
        {
        }
    
        void exec(unsigned char t)
        {
            switch(t)
            {
                 case 0:
                     serial.sendeText("adw 0 1 2 3: ");
                 break;
                 case 10:
                     serial.sendeZahl(sensor.holeWert0());
                 break;
                 case 20:
                     serial.sendeText(" ");
                 break;
                 case 30:
                     serial.sendeZahl(sensor.holeWert1());
                 break;
                 case 40:
                     serial.sendeText(" ");
                 break;
                 case 50:
                     serial.sendeZahl(sensor.holeWert2());
                 break;
                 case 60:
                     serial.sendeText(" ");
                 break;
                 case 70:
                     serial.sendeZahl(sensor.holeWert3());
                 break;


                 //JUMPER:
                 case 80:
                     serial.sendeText(" JUMPER0: ");
                 break;
                 case 90:
                     if(jumper.isSetJumper0())
                         serial.sendeText("JA   ");
                     else
                         serial.sendeText("NEIN ");
                 break;
                 case 100:
                     serial.sendeText("JUMPER1: ");
                 break;
                 case 110:
                     if(jumper.isSetJumper1())
                         serial.sendeText("JA   ");
                     else
                         serial.sendeText("NEIN ");
                 break;
                 case 115:
                     serial.sendeText(" ZEICHEN: ");
                 break;
                 case 117:
                     serial.sendeZeichenGepuffert(serial.holeVorVorZeichen());
                 break;
                 case 119:
                     serial.sendeZeichenGepuffert(serial.holeVorZeichen());
                 break;
                 case 121:
                     serial.sendeZeichenGepuffert(serial.holeZeichen());
                 break;
                 case 123:
                         serial.sendeText("\n\r");
                 break;


            }
        }
} loop4_Zeige_Sensorwerte;


class Loop4_Zeige_Jumperzustand : public LOOP
{
    public:
        Loop4_Zeige_Jumperzustand()
        {
        }
    
        void exec(unsigned char t)
        {
            switch(t)
            {
                 case 0:
                     serial.sendeText("JUMPER0: ");
                 break;
                 case 10:
                     if(jumper.isSetJumper0())
                         serial.sendeText("JA   ");
                     else
                         serial.sendeText("NEIN ");
                 break;
                 case 20:
                     serial.sendeText("JUMPER1: ");
                 break;
                 case 30:
                     if(jumper.isSetJumper1())
                         serial.sendeText("JA   ");
                     else
                         serial.sendeText("NEIN ");
                 break;
                 case 40:
                         serial.sendeText("\n\r");
                 break;
            }
        }    
} loop4_Zeige_Jumperzustand;


