class Loop6_LEER : public LOOP
{
    public:
        
        void exec(unsigned char t)
        {
        }
} loop6_LEER;

class Loop6_WLAN : public LOOP
{
    public:
        int ZUSTAND;        
        long int ZEIT;

        Loop6_WLAN()
        {
            ZUSTAND = 0;
            ZEIT = 0;
        }        

        void init()
        {
            ZUSTAND = 0;
            ZEIT = 0;
        }

        void exec(unsigned char t)
        {
            switch(ZUSTAND)
            {
                case 0:
                    init();
                    led.aus(0);
                    led.an(1);
                    led.an(2);
                    serial.setOKfalse();
                    serial.setERRfalse();
                    ZEIT=0;
                    ZUSTAND=1;
                break;
                case 1:
                    if(serial.getOK()==true)
                        ZUSTAND=2;
                    ZEIT++;
                break;
                case 2:
                    led.an(0);
                    led.aus(1);
                    led.aus(2);
                break;
            }
        }
} loop6_WLAN;


class Loop6_WLAN2 : public LOOP
{
    public:
        int ZUSTAND;        
        long int ZEIT;

        Loop6_WLAN2()
        {
            ZUSTAND = 0;
            ZEIT = 0;
        }        

        void init()
        {
            ZUSTAND = 0;
            ZEIT = 0;
        }

        void exec(unsigned char t)
        {
            switch(ZUSTAND)
            {
                case 0:
                    init();
                    ZUSTAND=1;
                    led.aus(0);
                    led.aus(1);
                    led.an(2);
                    serial.setOKfalse();
                    serial.setERRfalse();
                    ZEIT=0;

                    serial.initWLAN();
                break;


                case 1:
                     if(ZEIT>300)
                         ZUSTAND = 11;
                     ZEIT++;
                break;


                case 11:  //Mehrere Verbindungen erlauben.
                    serial.sendeText("AT+CWMODE=1\r\n");
                    ZEIT=0;
                    ZUSTAND = 12;
                break;

                case 12:
                    if(serial.getOK()==true)
                    {
                        ZUSTAND = 13;
                    }
                    if(serial.getERR()==true)
                    {
                        ZUSTAND = 100;
                    }

                    if(ZEIT>900)
                    {
                        ZUSTAND = 200;
                    }

                    ZEIT++;
                break;

                case 13:
                    led.an(0);
                    led.aus(1);
                    led.aus(2);
                break;

                case 100:
                    led.aus(0);
                    led.an(1);
                    led.an(2);
                break;

                case 200:
                    led.an(0);
                    led.an(1);
                    led.an(2);
                break;
            }
        }
} loop6_WLAN2;
